<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>edu-device</artifactId>
        <groupId>com.yida.data.device</groupId>
        <version>2.2-RELEASE</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>edu-device-biz</artifactId>

    <properties>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>
    </properties>

    <dependencies>
        <!--mqtt-->
        <dependency>
            <groupId>org.eclipse.paho</groupId>
            <artifactId>org.eclipse.paho.client.mqttv3</artifactId>
            <version>${paho.mqttv3.version}</version>
        </dependency>
        <dependency>
            <groupId>com.yida.data.system</groupId>
            <artifactId>febs-server-system-api</artifactId>
            <version>${febs-cloud.version}</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.yida.data.user</groupId>
            <artifactId>edu-user-api</artifactId>
            <version>${febs-cloud.version}</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.yida.data.school</groupId>
            <artifactId>edu-school-api</artifactId>
            <version>${febs-cloud.version}</version>
            <scope>compile</scope>
        </dependency>

        <dependency>
            <groupId>org.bytedeco</groupId>
            <artifactId>javacv</artifactId>
            <version>1.4.1</version>
        </dependency>
        <dependency>
            <groupId>org.bytedeco.javacpp-presets</groupId>
            <artifactId>opencv-platform</artifactId>
            <version>3.4.1-1.4.1</version>
        </dependency>
        <dependency>
            <groupId>org.bytedeco.javacpp-presets</groupId>
            <artifactId>ffmpeg-platform</artifactId>
            <version>3.4.2-1.4.1</version>
        </dependency>


        <!--通用工具-->
        <dependency>
            <groupId>com.yida.data.common</groupId>
            <artifactId>edu-common</artifactId>
            <version>${febs-cloud.version}</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.yida.data.job</groupId>
            <artifactId>febs-server-job-api</artifactId>
            <version>${febs-cloud.version}</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.yida.data.device</groupId>
            <artifactId>edu-device-api</artifactId>
            <version>${febs-cloud.version}</version>
            <scope>compile</scope>
        </dependency>
        <!--activemq-->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-activemq</artifactId>
        </dependency>
      <dependency>
        <groupId>com.yida.data.server</groupId>
        <artifactId>edu-card-server-api</artifactId>
        <version>2.2-RELEASE</version>
        <scope>compile</scope>
      </dependency>
    </dependencies>
    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <outputDirectory>../../../febs-jar</outputDirectory>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>